Re: HornGet Castle ActiveRecord trunk 404 error

4 views
Skip to first unread message

Michael Maddox

unread,
Jan 1, 2010, 6:29:54 AM1/1/10
to horn-dev...@googlegroups.com, castle-pro...@googlegroups.com, castle-pro...@googlegroups.com
@Mauricio: I believe I included horn dev on the original e-mail.

@John: I had not explored TeamCity enough to understand how to get
binaries from there, thanks for the pointer.

@Paul: Thanks for the fix!

There are interesting differences between the versions of Castle
ActiveRecord that come from Team City and HornGet:

HornGet seems to include non Castle Active Record PDB files in it's
distribution, which is very useful (I believe I read something on the
Castle Dev list that there were plans to improve this, but maybe that
was for project specific PDB files only).

TeamCity is using version 2.1.2.4000 of NHibernate.dll.
HornGet is using version 2.1.0.4000 of NHibernate.dll.


I was actually looking for an easy to download version of Castle
ActiveRecord built against the NHibernate trunk (3.0.0.1001 - for the
latest Linq provider), but I ended up building it myself using the
NHibernate trunk binaries from HornGet and a hacked up version of the
Castle ActiveRecord source from SVN. Maybe there is a branch or
should be a branch for this version of Castle ActiveRecord?

Thanks for the help!

-Michael

On 12/30/09, Michael Maddox <michael....@gmail.com> wrote:
> I'm not sure exactly who to report this problem to, thus I'm sending
> it to multiple lists.
>
> When I go here:
>
> http://www.hornget.net/packages/ioc/castle.activerecord/castle.activerecord-trunk
>
> And click on "download package", I get a 404 error trying to retrieve this file:
>
> http://www.hornget.net/downloads/ioc/castle.activerecord/castle.activerecord-trunk-27-12-09-061146.zip
>
>
> So, the HornGet website has a bad link for the latest build of the
> Castle ActiveRecord trunk.
>
> If someone could investigate / fix the issue, that would be great. Thanks.
>
> --
> Michael Maddox
> http://www.capprime.com/software_development_weblog/
>

Michael Maddox

unread,
Dec 30, 2009, 5:11:53 AM12/30/09
to horn-dev...@googlegroups.com, castle-pro...@googlegroups.com, castle-pro...@googlegroups.com

Michael Maddox

unread,
Jan 2, 2010, 6:53:24 AM1/2/10
to castle-pro...@googlegroups.com, castle-pro...@googlegroups.com, horn-dev...@googlegroups.com
Paul,

Sorry, I got them mixed up. It should have been:

TeamCity is using version 2.1.0.4000 of NHibernate.dll.
HornGet is using version 2.1.2.4000 of NHibernate.dll.

-Michael

On 1/2/10, dagda1 <dag...@scotalt.net> wrote:
> Hi,
>
> I just downloaded the latest Castle.activerecord zip and the version
> of Nhibernate is 2.1.2.4000.
>
> I don't think there is anyway for the 2.1.04000 version to get into
> the mix.
>
> Cheers
>
> Paul
>
> On 1 Jan, 15:32, Paul Cowan <dag...@scotalt.net> wrote:
> > Hi Michael,
> >
> > Thanks for pointing out that HornGet is pulling version 2.1.0.4000 of
> > NHibernate.dl.
> >
> > That is not what should be happening.
> >
> > I will investigate further.
> >
> > Cheers
> >
> > Paul Cowan
> >
> > Cutting-Edge Solutions (Scotland)
> >
> > http://thesoftwaresimpleton.blogspot.com/
> >
> > 2010/1/1 Michael Maddox <michael.p.mad...@gmail.com>


> >
> >
> >
> > > @Mauricio: I believe I included horn dev on the original e-mail.
> >
> > > @John: I had not explored TeamCity enough to understand how to get
> > > binaries from there, thanks for the pointer.
> >
> > > @Paul: Thanks for the fix!
> >
> > > There are interesting differences between the versions of Castle
> > > ActiveRecord that come from Team City and HornGet:
> >
> > > HornGet seems to include non Castle Active Record PDB files in it's
> > > distribution, which is very useful (I believe I read something on the
> > > Castle Dev list that there were plans to improve this, but maybe that
> > > was for project specific PDB files only).
> >
> > > TeamCity is using version 2.1.2.4000 of NHibernate.dll.
> > > HornGet is using version 2.1.0.4000 of NHibernate.dll.
> >
> > > I was actually looking for an easy to download version of Castle
> > > ActiveRecord built against the NHibernate trunk (3.0.0.1001 - for the
> > > latest Linq provider), but I ended up building it myself using the
> > > NHibernate trunk binaries from HornGet and a hacked up version of the
> > > Castle ActiveRecord source from SVN. Maybe there is a branch or
> > > should be a branch for this version of Castle ActiveRecord?
> >
> > > Thanks for the help!
> >
> > > -Michael
> >

> > > On 12/30/09, Michael Maddox <michael.p.mad...@gmail.com> wrote:
> > > > I'm not sure exactly who to report this problem to, thus I'm sending
> > > > it to multiple lists.
> >
> > > > When I go here:
> >

> > >http://www.hornget.net/packages/ioc/castle.activerecord/castle.active...


> >
> > > > And click on "download package", I get a 404 error trying to retrieve
> > > this file:
> >

> > >http://www.hornget.net/downloads/ioc/castle.activerecord/castle.activ...


> >
> > > > So, the HornGet website has a bad link for the latest build of the
> > > > Castle ActiveRecord trunk.
> >
> > > > If someone could investigate / fix the issue, that would be great.
> > > Thanks.
> >
> > > > --
> > > > Michael Maddox
> > > >http://www.capprime.com/software_development_weblog/
> >

> > > --
> >
> > > You received this message because you are subscribed to the Google Groups
> > > "Castle Project Development List" group.
> > > To post to this group, send email to castle-pro...@googlegroups.com
> > > .
> > > To unsubscribe from this group, send email to
> > > castle-project-d...@googlegroups.com<castle-project-devel%2Bun­subs...@googlegroups.com>
> > > .
> > > For more options, visit this group at
> > >http://groups.google.com/group/castle-project-devel?hl=en.- Hide quoted text -
> >
> > - Show quoted text -
>
> --
>
> You received this message because you are subscribed to the Google Groups "Castle Project Development List" group.
> To post to this group, send email to castle-pro...@googlegroups.com.
> To unsubscribe from this group, send email to castle-project-d...@googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/castle-project-devel?hl=en.
>
>
>

Paul Cowan

unread,
Jan 2, 2010, 8:07:02 AM1/2/10
to horn-dev...@googlegroups.com
>> TeamCity is using version 2.1.0.4000 of NHibernate.dll.
>> HornGet is using version 2.1.2.4000 of NHibernate.dll.

That makes sense.

Horn has the following dependencies section in the castle.activerecord.boo descriptor:

dependencies:
    dependency "nhibernate" >> "2.1" >> "NHibernate"
    dependency "nhibernate" >> "2.1" >> "Antlr3.Runtime"
    dependency "nhibernate" >> "2.1" >> "Iesi.Collections"
    dependency "nhibernate" >> "2.1" >> "NHibernate.ByteCode.Castle"
    dependency "nhibernate" >> "2.1" >> "NHibernate.Linq"
    dependency "nhibernate" >> "2.1" >> "Castle.Core"
    dependency "nhibernate" >> "2.1" >> "Castle.DynamicProxy2"
    dependency "nhibernate.search" >> "NHibernate.Search"
    dependency "nhibernate.linq" >>  "2.1"  >> "NHibernate.Linq"

Horn will pull the latest version from the Nhibernate 2.1.x branch and will always have the latest 2.1.x version.

At some point somebody is going to realise this is a good idea :-).


Cheers

Paul Cowan

Cutting-Edge Solutions (Scotland)

http://thesoftwaresimpleton.blogspot.com/



2010/1/2 Michael Maddox <michael....@gmail.com>
You received this message because you are subscribed to the Google Groups "HORN Development" group.
To post to this group, send email to horn-dev...@googlegroups.com.
To unsubscribe from this group, send email to horn-developme...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/horn-development?hl=en.



Reply all
Reply to author
Forward
0 new messages